<?php
namespace FrontRom\Includes;

class Filters {

	private static $_instance;

    public static function instance() {
        if ( !self::$_instance ) {
            self::$_instance = new self();
        }

        return self::$_instance;
    }

	public function __construct() {
		add_filter( 'admin_footer_text', '__return_empty_string', 11 ); 
        add_filter( 'update_footer', '__return_empty_string', 11 );
        add_filter( 'show_admin_bar', '__return_false' );
        add_filter( 'the_content', [ $this, 'editor_wrapper' ], 999999 );
	}

    public function editor_wrapper( $constant ) { 
        if ( ! frontrom_user_can_access_front_end_editor() ) {
            return $constant;
        }

        $constant = '<div id="editor" class="block-editor__container frontrom-block-editor hide-if-no-js"></div>';
        
        return $constant;
    }
}
